       double precision function map_steel_ybb(s,t,tc,x)
       implicit none
       double precision s,t,tc,x,arg,map_steel_ybb
     
* This function only applies when t .lt. tc

       arg=(2.0d0/3.0d0)*s*(t*(1.0d0-x))**(1.5d0)

       if (arg .gt. 173.0d0) then
          map_steel_ybb=1.0d0
       else
          map_steel_ybb=1.0d0 - dexp(-arg)
       endif

       end
